curl -X PATCH https://api.phanomcloud.online/bots/3fa85f64-5717-4562-b3fc-2c963f66afa6/memory \
-H "Authorization: Bearer sess_..." \
-H "Content-Type: application/json" \
-d '{ "memory": 512 }'
{
"success": true,
"data": {
"memory": 512,
"vcpu": 1.0,
"memory_mb": 512,
"memory_gb": "0.50"
},
"message": "Memory updated to 512MB. Restart the bot to apply the new limit."
}
{
"success": false,
"error": "Insufficient memory: need 256MB more, only 128MB available"
}
Bots
Update Memory
Resizes the RAM allocation of a bot. A restart is required for the new limit to be applied in Docker.
PATCH
/
bots
/
{id}
/
memory
curl -X PATCH https://api.phanomcloud.online/bots/3fa85f64-5717-4562-b3fc-2c963f66afa6/memory \
-H "Authorization: Bearer sess_..." \
-H "Content-Type: application/json" \
-d '{ "memory": 512 }'
{
"success": true,
"data": {
"memory": 512,
"vcpu": 1.0,
"memory_mb": 512,
"memory_gb": "0.50"
},
"message": "Memory updated to 512MB. Restart the bot to apply the new limit."
}
{
"success": false,
"error": "Insufficient memory: need 256MB more, only 128MB available"
}
Path Parameters
string
required
UUID of the bot.
Body
number
required
New RAM amount in MB. Minimum:
64. Your plan must have enough available memory to increase.vCPU is recalculated automatically (1 vCPU per 512 MB). You can always decrease memory. To increase, you need available headroom in your plan.
curl -X PATCH https://api.phanomcloud.online/bots/3fa85f64-5717-4562-b3fc-2c963f66afa6/memory \
-H "Authorization: Bearer sess_..." \
-H "Content-Type: application/json" \
-d '{ "memory": 512 }'
{
"success": true,
"data": {
"memory": 512,
"vcpu": 1.0,
"memory_mb": 512,
"memory_gb": "0.50"
},
"message": "Memory updated to 512MB. Restart the bot to apply the new limit."
}
{
"success": false,
"error": "Insufficient memory: need 256MB more, only 128MB available"
}

